package TranslationalSystem
  model Example1
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-20, 4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Constant const(k = 10) annotation(
      Placement(visible = true, transformation(origin = {-58, 4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {12, 4}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  equation
    connect(const.y, force.f) annotation(
      Line(points = {{-47, 4}, {-32, 4}}, color = {0, 0, 127}));
    connect(force.flange, fixed.flange) annotation(
      Line(points = {{-10, 4}, {12, 4}}, color = {0, 127, 0}));
  end Example1;

  model Example2
    Modelica.Mechanics.Translational.Sources.Force force(useSupport = true) annotation(
      Placement(visible = true, transformation(origin = {-20, 4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Constant const(k = 10) annotation(
      Placement(visible = true, transformation(origin = {-58, 4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed wall(s0 = 0.4) annotation(
      Placement(visible = true, transformation(origin = {12, 4}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed floor(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {-20, -22}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(const.y, force.f) annotation(
      Line(points = {{-47, 4}, {-32, 4}}, color = {0, 0, 127}));
    connect(force.flange, wall.flange) annotation(
      Line(points = {{-10, 4}, {12, 4}}, color = {0, 127, 0}));
    connect(floor.flange, force.support) annotation(
      Line(points = {{-20, -22}, {-20, -6}}, color = {0, 127, 0}));
  end Example2;

  model Example3
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-6, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 3, m = 10, s(fixed = true, start = 0), v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {32, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(height = -2, offset = 1, startTime = 5) annotation(
      Placement(visible = true, transformation(origin = {-48, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(step.y, force.f) annotation(
      Line(points = {{-36, 8}, {-18, 8}}, color = {0, 0, 127}));
    connect(force.flange, mass.flange_a) annotation(
      Line(points = {{4, 8}, {22, 8}}, color = {0, 127, 0}));
  end Example3;

  model Example4
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-20, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(height = 1, offset = 0, startTime = 1) annotation(
      Placement(visible = true, transformation(origin = {-60, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Spring spring(c = 10, s_rel(fixed = false), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {22, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {52, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {0, -46}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Spring spring1(c = 10, s_rel(fixed = false), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {28, -46}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force1 annotation(
      Placement(visible = true, transformation(origin = {-20, -22}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(step.y, force.f) annotation(
      Line(points = {{-49, 8}, {-32, 8}}, color = {0, 0, 127}));
    connect(fixed.flange, spring.flange_b) annotation(
      Line(points = {{52, 8}, {32, 8}}, color = {0, 127, 0}));
    connect(force.flange, spring.flange_a) annotation(
      Line(points = {{-10, 8}, {12, 8}}, color = {0, 127, 0}));
    connect(fixed1.flange, spring1.flange_a) annotation(
      Line(points = {{0, -46}, {18, -46}}, color = {0, 127, 0}));
    connect(force1.flange, spring1.flange_b) annotation(
      Line(points = {{-10, -22}, {38, -22}, {38, -46}}, color = {0, 127, 0}));
    connect(step.y, force1.f) annotation(
      Line(points = {{-48, 8}, {-42, 8}, {-42, -22}, {-32, -22}}, color = {0, 0, 127}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example4;

  model Example5
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-20, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(height = 1, offset = 0, startTime = 1) annotation(
      Placement(visible = true, transformation(origin = {-60, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Spring spring(c = 10, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {40, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {60, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {0, -46}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Spring spring1(c = 10, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {28, -46}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force1 annotation(
      Placement(visible = true, transformation(origin = {-20, -22}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.2, m = 0.3, v(fixed = true)) annotation(
      Placement(visible = true, transformation(origin = {10, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass1(L = 0.2, m = 0.3, v(fixed = true)) annotation(
      Placement(visible = true, transformation(origin = {56, -46}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(step.y, force.f) annotation(
      Line(points = {{-49, 8}, {-32, 8}}, color = {0, 0, 127}));
    connect(fixed.flange, spring.flange_b) annotation(
      Line(points = {{60, 8}, {50, 8}}, color = {0, 127, 0}));
    connect(fixed1.flange, spring1.flange_a) annotation(
      Line(points = {{0, -46}, {18, -46}}, color = {0, 127, 0}));
    connect(step.y, force1.f) annotation(
      Line(points = {{-48, 8}, {-42, 8}, {-42, -22}, {-32, -22}}, color = {0, 0, 127}));
    connect(mass.flange_b, spring.flange_a) annotation(
      Line(points = {{20, 8}, {30, 8}}, color = {0, 127, 0}));
    connect(mass.flange_a, force.flange) annotation(
      Line(points = {{0, 8}, {-10, 8}}, color = {0, 127, 0}));
    connect(mass1.flange_a, spring1.flange_b) annotation(
      Line(points = {{46, -46}, {38, -46}}, color = {0, 127, 0}));
    connect(force1.flange, mass1.flange_b) annotation(
      Line(points = {{-10, -22}, {66, -22}, {66, -46}}, color = {0, 127, 0}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example5;

  model Example6
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-20, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(height = 1, offset = 0, startTime = 1) annotation(
      Placement(visible = true, transformation(origin = {-60, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Spring spring(c = 10, s_rel(fixed = false), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {40, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {60, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {0, -46}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Spring spring1(c = 10, s_rel(fixed = false), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {28, -46}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force1 annotation(
      Placement(visible = true, transformation(origin = {-20, -22}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Rod rod(L = 0.2) annotation(
      Placement(visible = true, transformation(origin = {12, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Rod rod1(L = 0.2) annotation(
      Placement(visible = true, transformation(origin = {58, -46}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(step.y, force.f) annotation(
      Line(points = {{-49, 8}, {-32, 8}}, color = {0, 0, 127}));
    connect(fixed.flange, spring.flange_b) annotation(
      Line(points = {{60, 8}, {50, 8}}, color = {0, 127, 0}));
    connect(fixed1.flange, spring1.flange_a) annotation(
      Line(points = {{0, -46}, {18, -46}}, color = {0, 127, 0}));
    connect(step.y, force1.f) annotation(
      Line(points = {{-48, 8}, {-42, 8}, {-42, -22}, {-32, -22}}, color = {0, 0, 127}));
    connect(rod.flange_b, spring.flange_a) annotation(
      Line(points = {{22, 8}, {30, 8}}, color = {0, 127, 0}));
    connect(rod.flange_a, force.flange) annotation(
      Line(points = {{2, 8}, {-10, 8}}, color = {0, 127, 0}));
    connect(spring1.flange_b, rod1.flange_a) annotation(
      Line(points = {{38, -46}, {48, -46}}, color = {0, 127, 0}));
    connect(force1.flange, rod1.flange_b) annotation(
      Line(points = {{-10, -22}, {76, -22}, {76, -46}, {68, -46}}, color = {0, 127, 0}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"),
      experiment(StartTime = 0, StopTime = 10, Tolerance = 1e-6, Interval = 0.02));
  end Example6;

  model Example7
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.2, m = 1, s(fixed = true, start = 5), v(fixed = true, start = 10)) annotation(
      Placement(visible = true, transformation(origin = {42, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {-26, 0}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Damper damper(d = 3) annotation(
      Placement(visible = true, transformation(origin = {2, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {-26, -40}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Damper damper1(d = 3) annotation(
      Placement(visible = true, transformation(origin = {2, -40}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass1(L = 0.2, m = 1, s(fixed = true, start = 5), v(fixed = true, start = -10)) annotation(
      Placement(visible = true, transformation(origin = {42, -40}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(damper.flange_b, mass.flange_a) annotation(
      Line(points = {{12, 0}, {32, 0}}, color = {0, 127, 0}));
    connect(damper.flange_a, fixed.flange) annotation(
      Line(points = {{-8, 0}, {-26, 0}}, color = {0, 127, 0}));
    connect(fixed1.flange, damper1.flange_a) annotation(
      Line(points = {{-26, -40}, {-8, -40}}, color = {0, 127, 0}));
    connect(damper1.flange_b, mass1.flange_a) annotation(
      Line(points = {{12, -40}, {32, -40}}, color = {0, 127, 0}));
  end Example7;

  model Example8
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-20, 48}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(height = 1, offset = 0, startTime = 1) annotation(
      Placement(visible = true, transformation(origin = {-60, 48}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Spring spring(c = 10, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {40, 48}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {60, 48}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {-4, -32}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Spring spring1(c = 10, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {24, -32}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force1 annotation(
      Placement(visible = true, transformation(origin = {-24, -8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.2, m = 0.3, v(fixed = true)) annotation(
      Placement(visible = true, transformation(origin = {10, 48}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass1(L = 0.2, m = 0.3, v(fixed = true)) annotation(
      Placement(visible = true, transformation(origin = {52, -32}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Damper damper(d = 0.2) annotation(
      Placement(visible = true, transformation(origin = {42, 24}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Damper damper1(d = 0.2) annotation(
      Placement(visible = true, transformation(origin = {26, -56}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(step.y, force.f) annotation(
      Line(points = {{-49, 48}, {-32, 48}}, color = {0, 0, 127}));
    connect(fixed.flange, spring.flange_b) annotation(
      Line(points = {{60, 48}, {50, 48}}, color = {0, 127, 0}));
    connect(fixed1.flange, spring1.flange_a) annotation(
      Line(points = {{-4, -32}, {14, -32}}, color = {0, 127, 0}));
    connect(step.y, force1.f) annotation(
      Line(points = {{-49, 48}, {-43, 48}, {-43, -8}, {-37, -8}}, color = {0, 0, 127}));
    connect(mass.flange_b, spring.flange_a) annotation(
      Line(points = {{20, 48}, {30, 48}}, color = {0, 127, 0}));
    connect(mass.flange_a, force.flange) annotation(
      Line(points = {{0, 48}, {-10, 48}}, color = {0, 127, 0}));
    connect(mass1.flange_a, spring1.flange_b) annotation(
      Line(points = {{42, -32}, {34, -32}}, color = {0, 127, 0}));
    connect(force1.flange, mass1.flange_b) annotation(
      Line(points = {{-14, -8}, {62, -8}, {62, -32}}, color = {0, 127, 0}));
    connect(damper.flange_b, fixed.flange) annotation(
      Line(points = {{52, 24}, {60, 24}, {60, 48}}, color = {0, 127, 0}));
    connect(damper.flange_a, mass.flange_b) annotation(
      Line(points = {{32, 24}, {20, 24}, {20, 48}}, color = {0, 127, 0}));
    connect(damper1.flange_b, mass1.flange_a) annotation(
      Line(points = {{36, -56}, {42, -56}, {42, -32}}, color = {0, 127, 0}));
    connect(damper1.flange_a, fixed1.flange) annotation(
      Line(points = {{16, -56}, {-4, -56}, {-4, -32}}, color = {0, 127, 0}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example8;

  model Example9
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-24, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(height = 1, offset = 0, startTime = 1) annotation(
      Placement(visible = true, transformation(origin = {-64, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {56, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {-4, -28}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Sources.Force force1 annotation(
      Placement(visible = true, transformation(origin = {-24, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.2, m = 0.3, v(fixed = true)) annotation(
      Placement(visible = true, transformation(origin = {6, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass1(L = 0.2, m = 0.3, v(fixed = true)) annotation(
      Placement(visible = true, transformation(origin = {52, -28}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.SpringDamper springDamper(c = 10, d = 0.2, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {36, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.SpringDamper springDamper1(c = 10, d = 0.2, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {20, -28}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(step.y, force.f) annotation(
      Line(points = {{-53, 34}, {-36, 34}}, color = {0, 0, 127}));
    connect(step.y, force1.f) annotation(
      Line(points = {{-53, 34}, {-47, 34}, {-47, -4}, {-37, -4}}, color = {0, 0, 127}));
    connect(mass.flange_a, force.flange) annotation(
      Line(points = {{-4, 34}, {-14, 34}}, color = {0, 127, 0}));
    connect(force1.flange, mass1.flange_b) annotation(
      Line(points = {{-14, -4}, {62, -4}, {62, -28}}, color = {0, 127, 0}));
    connect(springDamper.flange_b, fixed.flange) annotation(
      Line(points = {{46, 34}, {56, 34}}, color = {0, 127, 0}));
    connect(mass.flange_b, springDamper.flange_a) annotation(
      Line(points = {{16, 34}, {26, 34}}, color = {0, 127, 0}));
    connect(springDamper1.flange_b, mass1.flange_a) annotation(
      Line(points = {{30, -28}, {42, -28}}, color = {0, 127, 0}));
    connect(fixed1.flange, springDamper1.flange_a) annotation(
      Line(points = {{-4, -28}, {10, -28}}, color = {0, 127, 0}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example9;

  model Example10
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.2, m = 0.1, s(fixed = true, start = 3), v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {-22, 30}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.ElastoGap elastoGap(c = 100, d = 0, n = 1, s_rel(fixed = false), s_rel0 = 1, v_rel(fixed = false, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {-22, -40}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {-22, -62}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Constant const(k = -0.98) annotation(
      Placement(visible = true, transformation(origin = {-74, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-46, 30}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {64, -60}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.ElastoGap elastoGap1(c = 100, d = 0.3, n = 1, s_rel(fixed = false), s_rel0 = 1, v_rel(fixed = false, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {64, -38}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Mass mass1(L = 0.2, m = 0.1, s(fixed = true, start = 3), v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {62, 32}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Sources.Force force1 annotation(
      Placement(visible = true, transformation(origin = {40, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Blocks.Sources.Constant const1(k = -0.98) annotation(
      Placement(visible = true, transformation(origin = {16, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(fixed.flange, elastoGap.flange_a) annotation(
      Line(points = {{-22, -62}, {-22, -50}}, color = {0, 127, 0}));
    connect(elastoGap.flange_b, mass.flange_a) annotation(
      Line(points = {{-22, -30}, {-22, 20}}, color = {0, 127, 0}));
    connect(force.flange, mass.flange_b) annotation(
      Line(points = {{-46, 40}, {-46, 50}, {-22, 50}, {-22, 40}}, color = {0, 127, 0}));
    connect(const.y, force.f) annotation(
      Line(points = {{-63, 8}, {-46, 8}, {-46, 18}}, color = {0, 0, 127}));
    connect(fixed1.flange, elastoGap1.flange_a) annotation(
      Line(points = {{64, -60}, {64, -48}}, color = {0, 127, 0}));
    connect(elastoGap1.flange_b, mass1.flange_a) annotation(
      Line(points = {{64, -28}, {62, -28}, {62, 22}}, color = {0, 127, 0}));
    connect(mass1.flange_b, force1.flange) annotation(
      Line(points = {{62, 42}, {60, 42}, {60, 52}, {40, 52}, {40, 44}}, color = {0, 127, 0}));
    connect(const1.y, force1.f) annotation(
      Line(points = {{28, 8}, {40, 8}, {40, 22}}, color = {0, 0, 127}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example10;

  model Example11
    Modelica.Mechanics.Translational.Components.SupportFriction supportFriction(f_pos = [0, 0.001; 1, 0.201; 2, 0.801; 3, 1.801; 4, 3.201; 5, 5.001], mode(fixed = true), peak = 500, useHeatPort = false, useSupport = true) annotation(
      Placement(visible = true, transformation(origin = {42, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0) annotation(
      Placement(visible = true, transformation(origin = {42, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.2, m = 1, s(fixed = true, start = 0), v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {6, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable timeTable(table = [0, 0; 3, 2; 6, 2; 9, 0; 25, 0; 28, -2; 31, -2; 34, 0; 60, 0]) annotation(
      Placement(visible = true, transformation(origin = {-54, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {-20, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(fixed.flange, supportFriction.support) annotation(
      Line(points = {{42, -20}, {42, 0}}, color = {0, 127, 0}));
    connect(mass.flange_b, supportFriction.flange_a) annotation(
      Line(points = {{16, 10}, {32, 10}}, color = {0, 127, 0}));
    connect(force.flange, mass.flange_a) annotation(
      Line(points = {{-10, 10}, {-4, 10}}, color = {0, 127, 0}));
    connect(timeTable.y, force.f) annotation(
      Line(points = {{-43, 10}, {-33, 10}}, color = {0, 0, 127}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example11;

  model Example12
    Modelica.Mechanics.Translational.Components.Mass mass(L = 2, m = 80, s(fixed = true, start = 0), v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {8, -14}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force(useSupport = true) annotation(
      Placement(visible = true, transformation(origin = {-24, -14}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable timeTable(table = [0, 0; 1, 200; 4, 200; 5, 0; 100, 0]) annotation(
      Placement(visible = true, transformation(origin = {-62, -14}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Brake brake(cgeo = 4, fn_max = 300, locked(fixed = false), mu_pos = [0, 0.2; 5, 0.2; 6, 0.205; 7, 0.22; 15, 0.4], peak = 2, useSupport = true) annotation(
      Placement(visible = true, transformation(origin = {42, -14}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable timeTable1(table = [0, 0; 10, 0; 11, 1; 100, 1]) annotation(
      Placement(visible = true, transformation(origin = {24, 20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed annotation(
      Placement(visible = true, transformation(origin = {-24, -34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(timeTable.y, force.f) annotation(
      Line(points = {{-51, -14}, {-36, -14}}, color = {0, 0, 127}));
    connect(timeTable1.y, brake.f_normalized) annotation(
      Line(points = {{35, 20}, {42, 20}, {42, -3}}, color = {0, 0, 127}));
    connect(fixed.flange, force.support) annotation(
      Line(points = {{-24, -34}, {-24, -24}}, color = {0, 127, 0}));
    connect(fixed.flange, brake.support) annotation(
      Line(points = {{-24, -34}, {42, -34}, {42, -24}}, color = {0, 127, 0}));
    connect(force.flange, mass.flange_a) annotation(
      Line(points = {{-14, -14}, {-2, -14}}, color = {0, 127, 0}));
    connect(mass.flange_b, brake.flange_a) annotation(
      Line(points = {{18, -14}, {32, -14}}, color = {0, 127, 0}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example12;

  model Example13
    Modelica.Blocks.Sources.TimeTable timeTable(table = [0, 0; 1, 6; 3, 6; 4, 0; 15, 0; 16, -6; 18, -6; 19, 0; 30, 0]) annotation(
      Placement(visible = true, transformation(origin = {-50, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {2, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.MassWithStopAndFriction massWithStopAndFriction(F_Coulomb = 0.2, F_Stribeck = 5, F_prop = 0.3, L = 0.02, fexp = 1, m = 1, smax = 30, smin = 0) annotation(
      Placement(visible = true, transformation(origin = {46, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(timeTable.y, force.f) annotation(
      Line(points = {{-39, 0}, {-10, 0}}, color = {0, 0, 127}));
    connect(massWithStopAndFriction.flange_a, force.flange) annotation(
      Line(points = {{36, 0}, {12, 0}}, color = {0, 127, 0}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"),
      experiment(StartTime = 0, StopTime = 30, Tolerance = 1e-6, Interval = 0.06));
  end Example13;

  model Example14
    package Medium = Modelica.Media.CompressibleLiquids.LinearWater_pT_Ambient;
    Modelica.Fluid.Machines.SweptVolume sweptVolume(redeclare package Medium = Medium, clearance = 1e-6, nPorts = 2, pistonCrossArea = 5.027e-5, use_T_start = false, use_portsData = false) annotation(
      Placement(visible = true, transformation(origin = {-34, -12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    inner Modelica.Fluid.System system annotation(
      Placement(visible = true, transformation(origin = {84, 66}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Pipes.StaticPipe pipe1(redeclare package Medium = Medium, diameter = 0.008, length = 0.01) annotation(
      Placement(visible = true, transformation(origin = {-34, -46}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Fluid.Valves.ValveLinear valveLinear(redeclare package Medium = Medium, dp_nominal(displayUnit = "Pa") = 499999.9999999999, m_flow_nominal = 0.33) annotation(
      Placement(visible = true, transformation(origin = {46, -34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Sources.Boundary_pT reservertank(redeclare package Medium = Medium, nPorts = 1, p = 101325) annotation(
      Placement(visible = true, transformation(origin = {76, -34}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.MassWithStopAndFriction massWithStopAndFriction(F_Coulomb = 0.1, F_Stribeck = 0.1, F_prop = 0.1, L = 0.008, fexp = 0.1, m = 0.08, s(fixed = true, start = 0.008), smax = 0.020, smin = 0.002, v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {-34, 22}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Spring spring(c = 2200, s_rel0 = 0.0464) annotation(
      Placement(visible = true, transformation(origin = {-34, 54}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Mechanics.Translational.Components.Fixed fixed(s0 = 0.046) annotation(
      Placement(visible = true, transformation(origin = {-34, 70}, extent = {{-10, 10}, {10, -10}}, rotation = 0)));
    Modelica.Fluid.Sources.FixedBoundary oiltank1(redeclare package Medium = Medium, p = 101325, use_p = true, nPorts = 1) annotation(
      Placement(visible = true, transformation(origin = {94, -100}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
    Modelica.Fluid.Sources.MassFlowSource_T oilpump1(redeclare package Medium = Medium, nPorts = 1, use_m_flow_in = true) annotation(
      Placement(visible = true, transformation(origin = {-80, -100}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Pipes.StaticPipe pipe(redeclare package Medium = Medium, diameter = 0.008, length = 2) annotation(
      Placement(visible = true, transformation(origin = {10, -100}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Valves.ValveLinear valveLinear1(redeclare package Medium = Medium, dp_nominal(displayUnit = "Pa") = 200000, m_flow_nominal = 0.33) annotation(
      Placement(visible = true, transformation(origin = {50, -100}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Ramp ramp(duration = 0.05, height = -0.95, offset = 1, startTime = 0.2) annotation(
      Placement(visible = true, transformation(origin = {12, -72}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Rod rod(L = 0.0019) annotation(
      Placement(visible = true, transformation(origin = {-14, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Modelica.Fluid.Fittings.TeeJunctionVolume teeJunctionVolume(redeclare package Medium = Medium, V = 1e-6) annotation(
      Placement(visible = true, transformation(origin = {-34, -100}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sensors.PositionSensor positionSensor annotation(
      Placement(visible = true, transformation(origin = {6, -10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Math.Gain gain(k = 100) annotation(
      Placement(visible = true, transformation(origin = {31, -11}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
    Modelica.Blocks.Sources.Ramp ramp1(duration = 0.05, height = 0.33, offset = 0, startTime = 0.05) annotation(
      Placement(visible = true, transformation(origin = {-122, -92}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(pipe1.port_b, sweptVolume.ports[1]) annotation(
      Line(points = {{-34, -36}, {-34, -22}}, color = {0, 127, 255}));
    connect(valveLinear.port_b, reservertank.ports[1]) annotation(
      Line(points = {{56, -34}, {66, -34}}, color = {0, 127, 255}));
    connect(sweptVolume.flange, massWithStopAndFriction.flange_a) annotation(
      Line(points = {{-34, -2}, {-34, 12}}, color = {0, 127, 0}));
    connect(massWithStopAndFriction.flange_b, spring.flange_a) annotation(
      Line(points = {{-34, 32}, {-34, 44}}, color = {0, 127, 0}));
    connect(fixed.flange, spring.flange_b) annotation(
      Line(points = {{-34, 70}, {-34, 64}}, color = {0, 127, 0}));
    connect(pipe.port_b, valveLinear1.port_a) annotation(
      Line(points = {{20, -100}, {40, -100}}, color = {0, 127, 255}));
    connect(valveLinear1.port_b, oiltank1.ports[1]) annotation(
      Line(points = {{60, -100}, {84, -100}}, color = {0, 127, 255}));
    connect(ramp.y, valveLinear1.opening) annotation(
      Line(points = {{23, -72}, {49.5, -72}, {49.5, -92}, {50, -92}}, color = {0, 0, 127}));
    connect(rod.flange_b, massWithStopAndFriction.flange_a) annotation(
      Line(points = {{-14, 10}, {-14, 9}, {-34, 9}, {-34, 12}}, color = {0, 127, 0}));
    connect(teeJunctionVolume.port_2, pipe.port_a) annotation(
      Line(points = {{-24, -100}, {0, -100}}, color = {0, 127, 255}));
    connect(teeJunctionVolume.port_1, oilpump1.ports[1]) annotation(
      Line(points = {{-44, -100}, {-70, -100}}, color = {0, 127, 255}));
    connect(teeJunctionVolume.port_3, pipe1.port_a) annotation(
      Line(points = {{-34, -90}, {-34, -56}}, color = {0, 127, 255}));
    connect(valveLinear.port_a, sweptVolume.ports[2]) annotation(
      Line(points = {{36, -34}, {-34, -34}, {-34, -22}}, color = {0, 127, 255}));
    connect(rod.flange_a, positionSensor.flange) annotation(
      Line(points = {{-14, -10}, {-4, -10}}, color = {0, 127, 0}));
    connect(positionSensor.s, gain.u) annotation(
      Line(points = {{17, -10}, {22, -10}, {22, -11}}, color = {0, 0, 127}));
    connect(gain.y, valveLinear.opening) annotation(
      Line(points = {{38.7, -11}, {46.7, -11}, {46.7, -27}}, color = {0, 0, 127}));
    connect(ramp1.y, oilpump1.m_flow_in) annotation(
      Line(points = {{-111, -92}, {-91, -92}}, color = {0, 0, 127}));
    annotation(
      Diagram(coordinateSystem(extent = {{-150, -150}, {120, 100}})),
      Icon(coordinateSystem(extent = {{-150, -150}, {120, 100}})),
      experiment(StartTime = 0, StopTime = 1, Tolerance = 1e-06, Interval = 0.002));
  end Example14;

  model Example15
    Modelica.Mechanics.Translational.Components.Mass mass(L = 2, m = 80, s(fixed = true, start = 0), v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {48, 44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable timeTable(table = [0, 0; 1, 70; 4, 70; 5, 0; 100, 0]) annotation(
      Placement(visible = true, transformation(origin = {-78, 44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Brake brake(cgeo = 4, fn_max = 300, locked(fixed = false), mu_pos = [0, 0.2; 5, 0.2; 6, 0.205; 7, 0.22; 15, 0.4], peak = 2, useSupport = true) annotation(
      Placement(visible = true, transformation(origin = {82, 44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable timeTable1(table = [0, 0; 10, 0; 11, 1; 100, 1]) annotation(
      Placement(visible = true, transformation(origin = {64, 78}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed annotation(
      Placement(visible = true, transformation(origin = {22, 24}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Rotational.Sources.Torque torque annotation(
      Placement(visible = true, transformation(origin = {-46, 44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.IdealRollingWheel idealRollingWheel(radius = 0.33, useSupportT = true) annotation(
      Placement(visible = true, transformation(origin = {12, 44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Rotational.Components.Inertia inertia(J = 0.16) annotation(
      Placement(visible = true, transformation(origin = {-18, 44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable timeTable2(table = [0, 0; 1, 70; 4, 70; 5, 0; 100, 0]) annotation(
      Placement(visible = true, transformation(origin = {-76, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Brake brake1(cgeo = 4, fn_max = 300, locked(fixed = false), mu_pos = [0, 0.2; 5, 0.2; 6, 0.205; 7, 0.22; 15, 0.4], peak = 2, useSupport = true) annotation(
      Placement(visible = true, transformation(origin = {84, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Rotational.Sources.Torque torque1 annotation(
      Placement(visible = true, transformation(origin = {-44, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = 0.16) annotation(
      Placement(visible = true, transformation(origin = {-16, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1 annotation(
      Placement(visible = true, transformation(origin = {24, -64}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass1(L = 2, m = 80, s(fixed = true, start = 0), v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {50, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable timeTable3(table = [0, 0; 10, 0; 11, 1; 100, 1]) annotation(
      Placement(visible = true, transformation(origin = {66, -10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Rotational.Components.IdealGearR2T idealGearR2T(ratio = 3.03, useSupportT = true) annotation(
      Placement(visible = true, transformation(origin = {14, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(timeTable1.y, brake.f_normalized) annotation(
      Line(points = {{75, 78}, {82, 78}, {82, 55}}, color = {0, 0, 127}));
    connect(fixed.flange, brake.support) annotation(
      Line(points = {{22, 24}, {82, 24}, {82, 34}}, color = {0, 127, 0}));
    connect(mass.flange_b, brake.flange_a) annotation(
      Line(points = {{58, 44}, {72, 44}}, color = {0, 127, 0}));
    connect(mass.flange_a, idealRollingWheel.flangeT) annotation(
      Line(points = {{38, 44}, {22, 44}}, color = {0, 127, 0}));
    connect(fixed.flange, idealRollingWheel.supportT) annotation(
      Line(points = {{22, 24}, {22, 34}}, color = {0, 127, 0}));
    connect(timeTable.y, torque.tau) annotation(
      Line(points = {{-67, 44}, {-58, 44}}, color = {0, 0, 127}));
    connect(inertia.flange_b, idealRollingWheel.flangeR) annotation(
      Line(points = {{-8, 44}, {2, 44}}));
    connect(torque.flange, inertia.flange_a) annotation(
      Line(points = {{-36, 44}, {-28, 44}}));
    connect(torque1.flange, inertia1.flange_a) annotation(
      Line(points = {{-34, -44}, {-26, -44}}));
    connect(timeTable2.y, torque1.tau) annotation(
      Line(points = {{-65, -44}, {-56, -44}}, color = {0, 0, 127}));
    connect(fixed1.flange, brake1.support) annotation(
      Line(points = {{24, -64}, {84, -64}, {84, -54}}, color = {0, 127, 0}));
    connect(timeTable3.y, brake1.f_normalized) annotation(
      Line(points = {{77, -10}, {84, -10}, {84, -33}}, color = {0, 0, 127}));
    connect(mass1.flange_b, brake1.flange_a) annotation(
      Line(points = {{60, -44}, {74, -44}}, color = {0, 127, 0}));
    connect(idealGearR2T.flangeT, mass1.flange_a) annotation(
      Line(points = {{24, -44}, {40, -44}}, color = {0, 127, 0}));
    connect(fixed1.flange, idealGearR2T.supportT) annotation(
      Line(points = {{24, -64}, {24, -54}}, color = {0, 127, 0}));
    connect(inertia1.flange_b, idealGearR2T.flangeR) annotation(
      Line(points = {{-6, -44}, {4, -44}}));
    annotation(
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Example15;

  model Example16
    Modelica.Mechanics.Translational.Sources.Force force annotation(
      Placement(visible = true, transformation(origin = {30, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Math.Atan atan annotation(
      Placement(visible = true, transformation(origin = {-74, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Math.Gain gain(k = -9.8) annotation(
      Placement(visible = true, transformation(origin = {-4, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Tables.CombiTable1Ds combiTable1Ds(table = [0, -0.1; 0.9, -0.1; 1, 0; 2, 0; 2.1, 0.1; 3, 0.1]) annotation(
      Placement(visible = true, transformation(origin = {-110, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sensors.PositionSensor positionSensor annotation(
      Placement(visible = true, transformation(origin = {66, 22}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0, m = 1, s(fixed = true, start = 1.5), v(fixed = true, start = 1)) annotation(
      Placement(visible = true, transformation(origin = {60, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.RollingResistance rollingResistance(fWeight = 9.8, useCrInput = true, useInclinationInput = true) annotation(
      Placement(visible = true, transformation(origin = {60, -30}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Constant const(k = 0.002) annotation(
      Placement(visible = true, transformation(origin = {-8, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Math.Sin sin annotation(
      Placement(visible = true, transformation(origin = {-38, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(gain.y, force.f) annotation(
      Line(points = {{8, 2}, {18, 2}}, color = {0, 0, 127}));
    connect(combiTable1Ds.y[1], atan.u) annotation(
      Line(points = {{-99, 2}, {-86, 2}}, color = {0, 0, 127}));
    connect(force.flange, mass.flange_a) annotation(
      Line(points = {{40, 2}, {50, 2}}, color = {0, 127, 0}));
    connect(positionSensor.flange, mass.flange_a) annotation(
      Line(points = {{56, 22}, {50, 22}, {50, 2}}, color = {0, 127, 0}));
    connect(positionSensor.s, combiTable1Ds.u) annotation(
      Line(points = {{78, 22}, {82, 22}, {82, 36}, {-130, 36}, {-130, 2}, {-122, 2}}, color = {0, 0, 127}));
    connect(combiTable1Ds.y[1], rollingResistance.inclination) annotation(
      Line(points = {{-98, 2}, {-94, 2}, {-94, -24}, {48, -24}}, color = {0, 0, 127}));
    connect(rollingResistance.flange, mass.flange_b) annotation(
      Line(points = {{70, -30}, {82, -30}, {82, 2}, {70, 2}}, color = {0, 127, 0}));
    connect(const.y, rollingResistance.cr) annotation(
      Line(points = {{4, -44}, {32, -44}, {32, -36}, {48, -36}}, color = {0, 0, 127}));
    connect(atan.y, sin.u) annotation(
      Line(points = {{-62, 2}, {-50, 2}}, color = {0, 0, 127}));
    connect(sin.y, gain.u) annotation(
      Line(points = {{-27, 2}, {-16, 2}}, color = {0, 0, 127}));
    annotation(
      Diagram(coordinateSystem(extent = {{-150, -100}, {100, 100}})),
      Icon(coordinateSystem(extent = {{-150, -100}, {100, 100}})),
      experiment(StartTime = 0, StopTime = 30, Tolerance = 1e-6, Interval = 0.06));
  end Example16;

  model Example17
    Modelica.Mechanics.Translational.Components.Vehicle vehicle(A = 2.8, Cd = 0.35, J = 108, R = 0.3, m = 1200, rho(displayUnit = "kg/m3") = 2.354, s(displayUnit = "km", fixed = true, start = 0), useCrInput = true, useInclinationInput = true, useWindInput = true, v(displayUnit = "km/h", fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {14, 24}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Rotational.Sources.Torque torque annotation(
      Placement(visible = true, transformation(origin = {-28, 24}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable torque_time(table = [0, 0; 10, 1000; 15, 1000; 20, 125; 1000, 125]) annotation(
      Placement(visible = true, transformation(origin = {-70, 24}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.TimeTable wind_time(table = [0, 0; 700, 0; 705, -20; 735, -20; 740, 0; 1000, 0]) annotation(
      Placement(visible = true, transformation(origin = {58, -36}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Sensors.PositionSensor positionSensor annotation(
      Placement(visible = true, transformation(origin = {54, 24}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Tables.CombiTable1Ds inclination(table = [0, 0; 1400, 0; 1500, 0.1; 1700, 0.1; 1800, 0; 2000, 0; 2100, -0.1; 2300, -0.1; 2400, 0; 15000, 0]) annotation(
      Placement(visible = true, transformation(origin = {-46, -22}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Tables.CombiTable1Ds Cr(table = [0, 0.01; 5900, 0.01; 6000, 0.03; 6500, 0.03; 6600, 0.01; 15000, 0.01]) annotation(
      Placement(visible = true, transformation(origin = {-10, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(torque.flange, vehicle.flangeR) annotation(
      Line(points = {{-18, 24}, {4, 24}}));
    connect(torque_time.y, torque.tau) annotation(
      Line(points = {{-59, 24}, {-41, 24}}, color = {0, 0, 127}));
    connect(wind_time.y, vehicle.vWind) annotation(
      Line(points = {{69, -36}, {19, -36}, {19, 12}}, color = {0, 0, 127}));
    connect(vehicle.flangeT, positionSensor.flange) annotation(
      Line(points = {{24, 24}, {44, 24}}, color = {0, 127, 0}));
    connect(positionSensor.s, inclination.u) annotation(
      Line(points = {{65, 24}, {85, 24}, {85, -62}, {-69, -62}, {-69, -22}, {-59, -22}}, color = {0, 0, 127}));
    connect(inclination.y[1], vehicle.inclination) annotation(
      Line(points = {{-35, -22}, {7, -22}, {7, 12}}, color = {0, 0, 127}));
    connect(positionSensor.s, Cr.u) annotation(
      Line(points = {{65, 24}, {85, 24}, {85, -62}, {-33, -62}, {-33, -44}, {-23, -44}}, color = {0, 0, 127}));
    connect(Cr.y[1], vehicle.cr) annotation(
      Line(points = {{1, -44}, {13, -44}, {13, 12}}, color = {0, 0, 127}));
  end Example17;

  model Example18
    Modelica.Mechanics.Translational.Components.Fixed fixed annotation(
      Placement(visible = true, transformation(origin = {-58, 34}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Spring spring(c = 20, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {-24, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.1, m = 0.1, v(fixed = true, start = 2)) annotation(
      Placement(visible = true, transformation(origin = {14, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Fixed fixed1 annotation(
      Placement(visible = true, transformation(origin = {-58, -16}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    Modelica.Mechanics.Translational.Components.Spring spring1(c = 20, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {-24, -16}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass1(L = 0.1, m = 0.1, v(fixed = true, start = 2)) annotation(
      Placement(visible = true, transformation(origin = {14, -16}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.RelativeStates relativeStates annotation(
      Placement(visible = true, transformation(origin = {-24, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(fixed.flange, spring.flange_a) annotation(
      Line(points = {{-58, 34}, {-34, 34}}, color = {0, 127, 0}));
    connect(spring.flange_b, mass.flange_a) annotation(
      Line(points = {{-14, 34}, {4, 34}}, color = {0, 127, 0}));
    connect(fixed1.flange, spring1.flange_a) annotation(
      Line(points = {{-58, -16}, {-34, -16}}, color = {0, 127, 0}));
    connect(spring1.flange_b, mass1.flange_a) annotation(
      Line(points = {{-14, -16}, {4, -16}}, color = {0, 127, 0}));
    connect(fixed1.flange, relativeStates.flange_a) annotation(
      Line(points = {{-58, -16}, {-58, 2}, {-34, 2}}, color = {0, 127, 0}));
    connect(relativeStates.flange_b, mass1.flange_a) annotation(
      Line(points = {{-14, 2}, {4, 2}, {4, -16}}, color = {0, 127, 0}));
    annotation(
      experiment(StartTime = 0, StopTime = 1, Tolerance = 1e-6, Interval = 0.002));
  end Example18;

  model SpringMass2
    Modelica.Mechanics.Translational.Components.Spring spring(c = 20, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {-20, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.GeneralPositionToForceAdaptor positionToForceAdaptor(use_pder = false, use_pder2 = false) annotation(
      Placement(visible = true, transformation(origin = {-44, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.1, m = 0.1, v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {10, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.GeneralForceToPositionAdaptor forceToPositionAdaptor(use_pder = true, use_pder2 = true) annotation(
      Placement(visible = true, transformation(origin = {34, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Interfaces.RealInput s_in annotation(
      Placement(visible = true, transformation(origin = {-92, 4}, extent = {{-20, -20}, {20, 20}}, rotation = 0), iconTransformation(origin = {-88, 38}, extent = {{-20, -20}, {20, 20}}, rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput s_out annotation(
      Placement(visible = true, transformation(origin = {80, 40}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {102, 52}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput v_out annotation(
      Placement(visible = true, transformation(origin = {80, 20}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {102, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput a_out annotation(
      Placement(visible = true, transformation(origin = {80, -6}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {102, -56}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Interfaces.RealInput f_in annotation(
      Placement(visible = true, transformation(origin = {84, -34}, extent = {{-20, 20}, {20, -20}}, rotation = 180), iconTransformation(origin = {-90, -42}, extent = {{-20, -20}, {20, 20}}, rotation = 0)));
  equation
    connect(positionToForceAdaptor.flange, spring.flange_a) annotation(
      Line(points = {{-42, -4}, {-30, -4}}, color = {0, 127, 0}));
    connect(spring.flange_b, mass.flange_a) annotation(
      Line(points = {{-10, -4}, {0, -4}}, color = {0, 127, 0}));
    connect(mass.flange_b, forceToPositionAdaptor.flange) annotation(
      Line(points = {{20, -4}, {32, -4}}, color = {0, 127, 0}));
    connect(positionToForceAdaptor.p, s_in) annotation(
      Line(points = {{-46, 4}, {-92, 4}}, color = {0, 0, 127}));
    connect(forceToPositionAdaptor.p, s_out) annotation(
      Line(points = {{38, 4}, {50, 4}, {50, 40}, {80, 40}}, color = {0, 0, 127}));
    connect(forceToPositionAdaptor.pder, v_out) annotation(
      Line(points = {{38, 2}, {58, 2}, {58, 20}, {80, 20}}, color = {0, 0, 127}));
    connect(forceToPositionAdaptor.pder2, a_out) annotation(
      Line(points = {{38, -2}, {50, -2}, {50, -6}, {80, -6}}, color = {0, 0, 127}));
    connect(f_in, forceToPositionAdaptor.f) annotation(
      Line(points = {{84, -34}, {46, -34}, {46, -12}, {38, -12}}, color = {0, 0, 127}));
    annotation(
      experiment(StartTime = 0, StopTime = 4, Tolerance = 1e-6, Interval = 0.008),
      Icon(graphics = {Rectangle(origin = {3, -3}, extent = {{-89, 87}, {89, -87}}), Text(origin = {-35, 43}, extent = {{-33, 37}, {33, -37}}, textString = "s_in"), Text(origin = {51, 56}, extent = {{-33, 34}, {33, -34}}, textString = "s_out"), Text(origin = {50, 4}, extent = {{-34, 32}, {34, -32}}, textString = "v_out"), Text(origin = {50, -50}, extent = {{-34, 32}, {34, -32}}, textString = "a_out"), Text(origin = {-34, -38}, extent = {{-34, 32}, {34, -32}}, textString = "f_in")}));
  end SpringMass2;

  model Example20_1
    Modelica.Mechanics.Translational.Components.Spring spring(c = 20, s_rel(fixed = true, start = 3), s_rel0 = 3) annotation(
      Placement(visible = true, transformation(origin = {-32, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.GeneralPositionToForceAdaptor positionToForceAdaptor(use_pder = false, use_pder2 = false) annotation(
      Placement(visible = true, transformation(origin = {-56, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.Mass mass(L = 0.1, m = 0.1, v(fixed = true, start = 0)) annotation(
      Placement(visible = true, transformation(origin = {-2, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Mechanics.Translational.Components.GeneralForceToPositionAdaptor forceToPositionAdaptor(use_pder = true, use_pder2 = true) annotation(
      Placement(visible = true, transformation(origin = {22, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Constant const(k = 0) annotation(
      Placement(visible = true, transformation(origin = {-86, 20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(startTime = 1) annotation(
      Placement(visible = true, transformation(origin = {-86, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(positionToForceAdaptor.flange, spring.flange_a) annotation(
      Line(points = {{-54, 12}, {-42, 12}}, color = {0, 127, 0}));
    connect(spring.flange_b, mass.flange_a) annotation(
      Line(points = {{-22, 12}, {-12, 12}}, color = {0, 127, 0}));
    connect(mass.flange_b, forceToPositionAdaptor.flange) annotation(
      Line(points = {{8, 12}, {20, 12}}, color = {0, 127, 0}));
    connect(const.y, positionToForceAdaptor.p) annotation(
      Line(points = {{-74, 20}, {-58, 20}}, color = {0, 0, 127}));
    connect(step.y, forceToPositionAdaptor.f) annotation(
      Line(points = {{-75, -20}, {40, -20}, {40, 4}, {26, 4}}, color = {0, 0, 127}));
    annotation(
      experiment(StartTime = 0, StopTime = 4, Tolerance = 1e-06, Interval = 0.008));
  end Example20_1;

  model Example20_2
    Modelica.Blocks.Sources.Constant const(k = 0) annotation(
      Placement(visible = true, transformation(origin = {-46, 64}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Step step(offset = 0, startTime = 1) annotation(
      Placement(visible = true, transformation(origin = {-44, 28}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    TranslationalSystem.SpringMass2 springMass2 annotation(
      Placement(visible = true, transformation(origin = {22, 46}, extent = {{-18, -18}, {18, 18}}, rotation = 0)));
  equation
    connect(const.y, springMass2.s_in) annotation(
      Line(points = {{-35, 64}, {-21, 64}, {-21, 53}, {5, 53}}, color = {0, 0, 127}));
    connect(step.y, springMass2.f_in) annotation(
      Line(points = {{-33, 28}, {-19, 28}, {-19, 38}, {5, 38}}, color = {0, 0, 127}));
  protected
    annotation(
      experiment(StartTime = 0, StopTime = 4, Tolerance = 1e-06, Interval = 0.008));
  end Example20_2;
  annotation(
    uses(Modelica(version = "4.0.0")));
end TranslationalSystem;